#
# Conditional build:
%bcond_with	doc	# Sphinx documentation
%bcond_with	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	rauth
Summary:	OAuth 1.0/a, OAuth 2.0, and Ofly library
Summary(pl.UTF-8):	Biblioteka OAuth 1.0/a, OAuth 2.0 oraz Ofly
Name:		python-%{module}
Version:	0.7.1
Release:	13
License:	MIT
Group:		Libraries/Python
Source0:	https://github.com/litl/rauth/archive/%{version}.tar.gz
# Source0-md5:	b7cb31e288ce24d0be788595e3685253
URL:		https://github.com/litl/rauth
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools >= 1:7.0
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools >= 1:7.0
%endif
Requires:	python-modules
Requires:	python-requests >= 1.2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OAuth 1.0/a, OAuth 2.0, and Ofly library.

%description -l pl.UTF-8
Biblioteka OAuth 1.0/a, OAuth 2.0 oraz Ofly.

%package -n python3-%{module}
Summary:	OAuth 1.0/a, OAuth 2.0, and Ofly library
Summary(pl.UTF-8):	Biblioteka OAuth 1.0/a, OAuth 2.0 oraz Ofly
Group:		Libraries/Python
Requires:	python3-modules
Requires:	python3-requests >= 1.2.3

%description -n python3-%{module}
OAuth 1.0/a, OAuth 2.0, and Ofly library.

%description -n python3-%{module} -l pl.UTF-8
Biblioteka OAuth 1.0/a, OAuth 2.0 oraz Ofly.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG README.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-rauth.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> c12ac0a
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e03875c
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> aeb8229
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> eac1d9f
- Release 10 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 671aaf6
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 737dac0
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 85bc903
- pl

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> ea17617
- setuptools epoch

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> d058918
- release 7 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e3237c3
- rebuild with python 3.8
- release 6 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c1907a
- release 5 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 459e5b9
- python 3.6
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 6736b75
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bbbad7f
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 28c17e1
- automatic change: use py_build/py_install macros

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dfa8c9a
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 2a039a2
- -build-base in use, don't need to clone source tree

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> b051b9f
- runtime deps

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 9558fe3
- cleanup, fix url, add license

* Sat Jun 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 58028b3
- initial

